Outception Docs

put
/v1/oauth2/register/{client_id}

Update an OAuth2 client.

curl -X PUT "https://api.outception.com/v1/oauth2/register/{client_id}" \
  -H "Authorization: Bearer $OUTCEPTION_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "redirect_uris": [ "string" ], "token_endpoint_auth_method": "client_secret_post", "grant_types": [ "authorization_code", "refresh_token" ], "response_types": [ "code" ], "scope": "openid profile email user:read user:write organizations:read organizations:write members:read members:write organization_access_tokens:read organization_access_tokens:write", "client_name": "string", "client_uri": "string", "logo_uri": "string", "tos_uri": "string", "policy_uri": "string", "default_sub_type": "user", "client_id": "string" }'

Path parameters

  • client_id

    string

    required

Body

  • redirect_uris

    array<string>

    required

  • token_endpoint_auth_method

    enum

  • grant_types

    array<enum>

  • response_types

    array<string>

  • scope

    string

  • client_name

    string

    required

  • client_uri

    string | null

  • logo_uri

    string | null

  • tos_uri

    string | null

  • policy_uri

    string | null

  • default_sub_type

    enum

  • client_id

    string

    required

Response · 200

Successful Response

Errors

  • 422

    Validation Error